Compares an image to a reconstructed image

- « Imagick::getImageDispose

- Imagick::getImageExtrema »

- PHP Manual
- Imagick
- Compares an image to a reconstructed image

# Imagick::getImageDistortion

(PECL imagick 2, PECL imagick 3)

Imagick::getImageDistortion — Compares an image to a reconstructed image

### Description

public Imagick::getImageDistortion(MagickWand `$reference`, int `$metric`): float

Compares an image to a reconstructed image and returns the specified distortion metric.

### Parameters

`reference`

  Imagick object to compare to.

`metric`

  One of the metric type constants.

### Return Values

Returns the distortion metric used on the image (or the best guess thereof).

### Errors/Exceptions

Throws ImagickException on error.